Bug 196352 - databases/sqldeveloper: Update to 4.0.3.16.84
Summary: databases/sqldeveloper: Update to 4.0.3.16.84
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2014-12-29 15:12 UTC by Michael Zhilin
Modified: 2015-02-23 19:25 UTC (History)
2 users (show)

See Also:


Attachments
SVN diff (5.89 KB, patch)
2014-12-29 15:12 UTC, Michael Zhilin
no flags Details | Diff
Output of "portlint -A" (878 bytes, text/x-log)
2014-12-30 15:09 UTC, Michael Zhilin
no flags Details
Output of "make stage && make check-plist && make stage-qa && make package" (16.38 KB, text/x-log)
2014-12-30 15:10 UTC, Michael Zhilin
no flags Details
SVN diff (7.20 KB, patch)
2014-12-30 15:10 UTC, Michael Zhilin
no flags Details | Diff
SVN diff (7.50 KB, patch)
2014-12-30 15:28 UTC, Michael Zhilin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Zhilin 2014-12-29 15:12:17 UTC
Created attachment 151069 [details]
SVN diff

Hi,

Please apply attached svn diff file to update to 4.0.3.16.84.

Best regards!
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2014-12-29 23:46:46 UTC
Thanks for your submission!

Can you update your patch to:

- Remove the readme related lines, rather than commenting them, and:

* Attach portlint -A output
* Attach poudriere testport output, or output of:

make stage && make check-plist && make stage-qa && make package

I also note this port does not have a maintainer. If you'd like to take maintainership, include that change in your patch update too.

More information can be found here:

https://www.freebsd.org/doc/en_US.ISO8859-1/articles/contributing-ports/maintain-port.html
Comment 2 Michael Zhilin 2014-12-30 15:09:21 UTC
Created attachment 151117 [details]
Output of "portlint -A"
Comment 3 Michael Zhilin 2014-12-30 15:10:03 UTC
Created attachment 151118 [details]
Output of "make stage && make check-plist && make stage-qa && make package"
Comment 4 Michael Zhilin 2014-12-30 15:10:38 UTC
Created attachment 151119 [details]
SVN diff
Comment 5 Michael Zhilin 2014-12-30 15:28:32 UTC
Created attachment 151122 [details]
SVN diff
Comment 6 Michael Zhilin 2014-12-30 15:32:53 UTC
Thank you for quick reply!

Please find outputs of portlint & make stage/package/qa/plist attached to this ticket. Also I've attached new SVN diff with updated maintainer, removed comments and few cosmetic changes.

Could you please review them?

Best regards,
  Michael
Comment 7 Michael Zhilin 2015-01-19 09:22:12 UTC
Hi,

Could you have a look at this update request? 

Thank you in advance,
  Michael
Comment 8 Ruslan Makhmatkhanov freebsd_committer 2015-02-21 20:35:03 UTC
Take
Comment 9 commit-hook freebsd_committer 2015-02-21 22:18:34 UTC
A commit references this bug:

Author: rm
Date: Sat Feb 21 22:18:24 UTC 2015
New revision: 379560
URL: https://svnweb.freebsd.org/changeset/ports/379560

Log:
  databases/sqldeveloper: version update

  - update to 4.0.3.16.84
  - pass maintainership to submitter
  - unmute installation commands

  PR:		196352
  Submitted by:	mizhka@gmail.com

Changes:
  head/databases/sqldeveloper/Makefile
  head/databases/sqldeveloper/distinfo
  head/databases/sqldeveloper/pkg-plist
Comment 10 Ruslan Makhmatkhanov freebsd_committer 2015-02-21 22:19:51 UTC
Committed, thank you!
Comment 11 Michael Zhilin 2015-02-23 19:25:04 UTC
Thank you, Ruslan!